%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name HTML_QuickForm_advmultiselect

Name:           php-pear-HTML-QuickForm-advmultiselect
Version:        1.5.1
Release:        6%{?dist}
Summary:        Element for HTML_QuickForm that emulate a multi-select

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/HTML_QuickForm_advmultiselect
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.5.4
# For test suite
BuildRequires:  php-pear(pear.phpunit.de/PHPUnit)
BuildRequires:  php-pear(HTML_QuickForm) >= 3.2.10
BuildRequires:  php-pear(HTML_Common) >= 1.2.5

Requires:       php-pear(PEAR) >= 1.5.4, 
Requires:       php-pear(HTML_QuickForm) >= 3.2.10
Requires:       php-pear(HTML_Common) >= 1.2.5
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
The HTML_QuickForm_advmultiselect package adds an element to the
HTML_QuickForm package that is two select boxes next to each other
emulating a multi-select.


%prep
%setup -q -c
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
# Empty build section


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Fix the documentation
sed -i -e 's/\r//' $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name}/examples/*.{html,php}

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%check
cd %{pear_name}-%{version}/tests
phpunit \
   -d date.timezone=UTC \
   -d include_path=$RPM_BUILD_ROOT%{pear_phpdir}:%{pear_phpdir} \
   AllTests.php || :
# Fails in mock : HTML_QuickForm_advmultiselect_TestSuite_Custom::testAms2MinimizedWithAnnotation


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_datadir}/%{pear_name}
%{pear_phpdir}/HTML/QuickForm/advmultiselect.php
%{pear_testdir}/%{pear_name}


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Apr 16 2011 Remi Collet <Fedora@FamilleCollet.com> 1.5.1-5
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 31 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.5.1-3
- clean define 
- set date.timezone during build
- run phpunit during %%check (1 test fails for now)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 07 2009 Remi Collet <Fedora@FamilleCollet.com> 1.5.1-1
- update to 1.5.1 (bugfix)
- raise requirement for php-pear(HTML_Common) >= 1.2.5

* Sun Feb 15 2009 Remi Collet <Fedora@FamilleCollet.com> 1.5.0-1
- update to 1.5.0
- Add %%check for doc purpose
- remove generated CHANGELOG, ChangeLog provided upstream

* Sun Apr 27 2008 Remi Collet <Fedora@FamilleCollet.com> 1.4.1-1
- update to 1.4.1
- add generated CHANGELOG

* Tue Aug 21 2007 Remi Collet <Fedora@FamilleCollet.com> 1.4.0-1
- Take ownership for this, update to 1.4.0
- Change licence from PHP to BSD

* Thu Mar 29 2007 Sebastien Prud'homme <sebastien.prudhomme@gmail.com> 1.3.1-1
- Initial Release
